.modal {

  &__singin {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    width: 500px;
    padding: 20px 20px 70px;
    background-color: #fff;
    border-radius: 10px;

    box-sizing: border-box;
    max-height: 90vh;
    overflow-y: auto;

  }

  &__close {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-self: flex-end;
    width: 18px;
    height: 18px;
    cursor: pointer;
  }

  &__error_msg {
    color: red;
  }

  &__title {

    margin-top: 50px;
    font-family: Lato, sans-serif;
    color: #2A2A2A;
    font-size: 24px;

  }

  &__or {
    display: inline-block;
    margin-top: 20px;
    position: relative;
    font-family: Lato, sans-serif;
    color: #2A2A2A;
    font-size: 24px;

    &:before, &:after {
      content: "";
      position: absolute;
      top: 16px;
      display: inline-block;
      width: 50px;
      height: 2px;
      background-color: rgba(42, 42, 42, 0.70);
    }

    &:before {
      left: -75px;
    }

    &:after {
      left: 47px;
    }


  }




}

.modal__close div {
  width: 100%;
  height: 2px;
  background-color: rgba(42, 42, 42, 0.25);
  transform-origin: left top;
}

.btn-close {

  &__line-top {
    transform: skewY(42deg);
  }

  &__line-bottom {
    transform: skewY(-42deg);
  }


}

.sign-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  &__input {
    position: absolute;
    top: 0;
    left: 0;
    height: 30px;
    width: 350px;
    outline: none;
    border: none;
    border-bottom: 1px solid rgba(42, 42, 42, 0.25);
    color: rgb(42, 42, 42);
    font-size: 20px;
  }

  &__input::placeholder {
    color: rgba(42, 42, 42, 0.25);
    font-size: 20px;
  }

  &__error-msg {
    position: absolute;
    display: inline-block;
    top: 30px;
    left: 0;
    color: red;
    outline: none;
  }

  &__btn {
    display: inline-block;
    margin-top: 20px;
    width: 225px;
    height: 35px;
    box-sizing: border-box;
    color: #ffffff;
    font-family: Lato, sans-serif;
    font-size: 18px;
    outline: none;
    border: 1px solid #F7C427;
    border-radius: 5px;
    background-color: #F7C427;
    cursor: pointer;

    &:hover {
      color: #F7C427;
      background-color: #fff;
    }

    &_light {
      color: #F7C427;
      background-color: #fff;

      &:hover {
        color: #fff;
        background-color: #F7C427;
      }

    }
  }

}

.field-wrapper {
  position: relative;
  height: 40px;
  width: 350px;
  margin-top: 20px;
}

@media (min-width: 320px) {

  .modal {
    &__singin {
      width: 300px;
      padding: 20px 20px 50px;
    }
  }

  .sign-form {

    &__input {

      width: 250px;
      font-size: 18px;
    }

    &__input::placeholder {
      font-size: 18px;
    }

    &__btn {
      width: 170px;
      font-size: 16px;
    }

  }

  .field-wrapper {
    width: 250px;
  }

}

@media (min-width: 576px) {

  .modal {
    &__singin {
      width: 500px;
      padding: 20px 20px 70px;
    }
  }

  .sign-form {

    &__input {

      width: 350px;
      font-size: 20px;
    }

    &__input::placeholder {
      color: rgba(42, 42, 42, 0.25);
      font-size: 20px;
    }

    &__btn {
      display: inline-block;
      margin-top: 20px;
      width: 225px;
    }

  }

  .field-wrapper {
    width: 350px;
  }
}

@media (min-width: 768px) {

}

@media (min-width: 992px) {

}

@media (min-width: 1190px) {

}